2

I'm trying to deploy a Bolt Template using ANT.

I am able to successfully deploy the template from one dev org into another new dev org.

But when I go to deploy into a different org, I run into this error when I run my task:

"contentassets/Screen_Shot_20170215_at_15130_PM.asset -- Error: You do not have the level of access necessary to perform the operation you requested. Please contact the owner of the record or your administrator if access is necessary."

Where should I be looking to make adjustments?

1
  • I'm having the same problem, and finding it hard to see a solution in the documentation. Did you resolve this? May 19, 2017 at 8:52

1 Answer 1

1

I've found that (in Summer '17, using API version 40.0), using only users who are able to deploy Content Asset inserts using the MetaData API and the ANT deploy tool are those with the "System Administration" profile.

It is not enough to have a user with a clone of System Administration, it must be the original System Administration profile.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.